Subject: Re: [Fwd: Cygwin Question]
From: Earnie Boyd <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Thu, 9 Dec 1999 05:57:47 -0800 (PST)

--- "Charles S. Wilson" <[email-masked]> wrote:
-8<-
>   3) get that working well <<<<<<<< VERY important. Don't try to fix a
> broken installation piling on more programs when the foundation isn't
> working.

Very good point.

>   4) install latest snapshots (watch out -- threads are enabled as of
> 12/05)
>   5) install gcc-2.95.2-for-b20.1, then install the snapshot updates to
> 2.95.2
> 
> This is as good a time as any to bring up a point. Since I was using the
> cygwin snapshots on top of b20.1, I downloaded and installed Mumit's
> b20.1 distro and then overlaid his "snapshot updates". However, this
> configuration seems to be tuned for a standard b20.1 directory
> structure. Since I had flattened mine, gcc looked in all the wrong
> places for its headers and libs, so I had to set lots of environment
> variables (GCC_EXEC_PREFIX, C_INCLUDE_PATH, CPLUS_INCLUDE_PATH, etc) to
> persuade gcc to play nicely.
> 
> Should I have installed the gcc-2.95.2-for-CygwinCD-V1.0 version
> instead?
-8<- 

I typically extract into a depot directory, test, then move the pieces.  I have
even installed into a seperate environment to test, especially cygwin
snapshots.  You never know when you'll run into an archive with a bad bit
somewhere or a broken snapshot. 

=====
Earnie Boyd <mailto:[email-masked]>
Cygwin Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>
__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one place.
Yahoo! Shopping: http://shopping.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]